/******************************************************************************
*  Name    : Configuration microcontrleur 18F24K22                           *
*  Author  : Nunes Dos Anjos Carlos                                           *
*  Notice  : Copyright (c) 2005 Nunes                                         *
*          : All Rights Reserved                                              *
*  Date    : 20/02/2013                                                       *
*  Version : 1.0                                                              *
*  Notes   :                                                                  *
*          :                                                                  *
*                                                                             *
******************************************************************************/

#ifndef __CONFIGMICRO_H
#define __CONFIGMICRO_H
//#include "p18cxxx.h"

/** C O N F I G U R A T I O N   B I T S ******************************/
#pragma config FOSC = INTIO67, PLLCFG = OFF, PRICLKEN = ON, FCMEN = OFF, IESO = OFF            // CONFIG1H
#pragma config PWRTEN = ON, BOREN = SBORDIS, BORV = 285                                        // CONFIG2L
#pragma config WDTEN = ON, WDTPS = 1024                                                        // CONFIG2H
#pragma config CCP3MX = PORTC6, HFOFST = OFF, T3CMX = PORTC0, P2BMX = PORTC0, MCLRE = EXTMCLR  // CONFIG3H
#pragma config CCP2MX = PORTC1, PBADEN = OFF                                                   // CONFIG3H
#pragma config STVREN = ON, LVP = OFF, XINST = OFF, DEBUG = OFF                                // CONFIG4L
#pragma config CP0 = OFF, CP1 = OFF                                                            // CONFIG5L
#pragma config CPB = OFF, CPD = OFF                                                            // CONFIG5H
#pragma config WRT0 = OFF, WRT1 = OFF                                                          // CONFIG6L
#pragma config WRTC = OFF, WRTB = OFF,  WRTD = OFF                                             // CONFIG6H
#pragma config EBTR0 = OFF, EBTR1 = OFF                                                        // CONFIG7L
#pragma config EBTRB = OFF                                                                     // CONFIG7H

#endif
