/******************************************************************************
*  Name    : Grad.h                                                           *
*  Author  : Nunes Dos Anjos Carlos                                           *
*  Notice  : Copyright (c) 2005 Nunes                                         *
*          : All Rights Reserved                                              *
*  Date    : 20/02/2013                                                       *
*  Version : 1.0                                                              *
*  Notes   : Attention! inclure aussi le fichier timebise c et h               *
*          : gradateur Nunes                                                  *
*                                                                             *
******************************************************************************/

#ifndef __TIMER2GRAD_H
#define __TIMER2GRAD_H
//#include "p18cxxx.h"

/** D E C L A R A T I O N S **************************************************/
#pragma idata
union {
    unsigned char val;
    struct{
        unsigned bit0:1;	// libre
        unsigned front1:1;  // front pour out couloir
        unsigned front2:1;  // front pour out entree
        unsigned front3:1;  // front pour synchro
        unsigned bit4:1;	// libre
        unsigned bit5:1;	// libre
        unsigned bit6:1;	// libre
        unsigned bit7:1;	// libre
    };
}flagsgrad = 0;

#pragma udata
unsigned char val0_largeur_grad;
unsigned char val1_largeur_grad;


/** D E F I N I T I O N S ****************************************************/
#define in_synchro PORTBbits.RB2
#define out1_grad 1
#define out2_grad 2

/** MACROS **********************************************************/
#define out1_grad_on() PORTCbits.RC0 = high		// sortie pour l'opto-triac couloir
#define out2_grad_on() PORTCbits.RC1 = high		// sortie pour l'opto-triac entre
#define out1_grad_off() PORTCbits.RC0 = low
#define out2_grad_off() PORTCbits.RC1 = low


/** E X T E R N S ************************************************************/
// declare variables accessible by other files.


/** P R O T O T Y P E S ******************************************************/
void it_tmr2_grad(unsigned char x);

#endif
