/**********************************************************************
*  Name    : Fonction Base de temps                                   *
*  Author  : Nunes Dos Anjos Carlos                                   *
*  Notice  : Copyright (c) 2005 Nunes                                 *
*          : All Rights Reserved                                      *
*  Date    : 20/02/2013                                               *
*  Version : 1.0                                                      *
*  Notes   : Base de temps utilisant les interruptions du Timer 2     *
*          :                                                          *
**********************************************************************/

void it_tmr2_timebase(void)
{
    if (!(--compt0_tmr2))
    {
        compt0_tmr2 = compt0_val;
        temps1ms_0++;
        temps1ms_1++;
        temps1ms_2++;
        temps.bits_timer2 ^= 0b00000001;

        if (!(--compt00_tmr2))
        {
            compt00_tmr2 = compt00_val;
            temps100ms_0++;
            temps100ms_1++;
            temps100ms_2++;
            temps.bits_timer2 ^= 0b00000010;

            if (!(--compt1_tmr2))
            {
                compt1_tmr2 = compt1_val;
                temps500ms_0++;
                temps500ms_1++;
                temps500ms_2++;
                temps.bits_timer2 ^= 0b00000100;

                if (!(--compt2_tmr2))
                {
                    compt2_tmr2 = compt2_val;
                    temps1s_0++;
                    temps1s_1++;
                    temps1s_2++;
                    temps.bits_timer2 ^= 0b00001000;

                    if (!(--compt3_tmr2))
                    {
                        compt3_tmr2 = compt3_val;
                        temps1mn_0++;
                        temps1mn_1++;
                        temps1mn_2++;
                        temps.bits_timer2 ^= 0b00010000;
                    }
                }
            }
        }
    }
    PIR1bits.TMR2IF = low;
}
